curl -X PUT 'https://api.example.com/projects/project_api' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "Backend API Service"
}'
{
"id": "project_api",
"tenantId": "tenant_acme",
"workspaceId": "workspace_main",
"scopeId": "scope_project_api",
"name": "Backend API Service"
}
Projects
Update Project
Update a project
PUT
/
projects
/
{id}
curl -X PUT 'https://api.example.com/projects/project_api' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "Backend API Service"
}'
{
"id": "project_api",
"tenantId": "tenant_acme",
"workspaceId": "workspace_main",
"scopeId": "scope_project_api",
"name": "Backend API Service"
}
Path Parameters
string
required
The project ID to update
Request Body
string
Display name
Response
Returns the updated project object.curl -X PUT 'https://api.example.com/projects/project_api' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "Backend API Service"
}'
{
"id": "project_api",
"tenantId": "tenant_acme",
"workspaceId": "workspace_main",
"scopeId": "scope_project_api",
"name": "Backend API Service"
}
Was this page helpful?
⌘I